"""Adding a new name is easy. Add the name to nicknameToId, then add the id number of the set.
Make sure to add the nickname to the set in idToNicknameSet. If you need to add a new set, just
create a new one at the bottom of the dict in idToNicknameSet, and follow the previous steps."""

# Keep this Unorganized, as adding any new set would be awful if sorted
data = {
    0: {'timy', 'timothy', 'timithy', 'timmy', 'timathy', 'thimothy', 'tim', 'thimoty',},
    1: {'ludwig', 'lud',},
    2: {'phillipp', 'philip', 'philippe', 'phill', 'phil', 'philipp', 'philiph', 'phillop', 'philup', 'fill',},
    3: {'emmett', 'emmet', 'emet', 'emmit',},
    4: {'craton', 'creighton',},
    5: {'tobie', 'toby', 'tobias', 'tobe',},
    6: {'barth', 'barto', 'bartie', 'bartholomew', 'bart',},
    7: {'dom', 'dominic', 'dominick', 'domenick', 'domnick',},
    8: {'hyrum', 'hi', 'hirum', 'hirom', 'hy', 'hyram', 'hiriam', 'hiram',},
    9: {'benhart', 'bernhard',},
    10: {'adrian', 'adrain',},
    11: {'lake', 'lach',},
    12: {'bailey', 'baley', 'baily',},
    13: {'elmer', 'elmor',},
    14: {'kenneth', 'kenny',},
    15: {'maxie', 'maximilian', 'max',},
    16: {'mort', 'mortimer', 'mortimore',},
    17: {'sydney', 'sydny', 'sidna', 'sydna',},
    18: {'hardin', 'harden',},
    19: {'webb', 'webster', 'web',},
    20: {'hanry', 'henry', 'henri', 'herny', 'harold', 'henrie', 'harrey', 'harry', 'henery', 'heinrich', 'hen', 'hary', 'hank', 'heny', 'harl', 'harey', 'herry', 'harrie', 'henrey', 'heinrick',},
    21: {'crit', 'crittenden',},
    22: {'katherine', 'kitt', 'catherine', 'kit', 'kate', 'katharine', 'kath', 'cath', 'katy',},
    23: {'ralf', 'rolph', 'ralph', 'rolf',},
    24: {'reed', 'read',},
    25: {'dallas', 'dalas',},
    26: {'nemiah', 'nehemiah',},
    27: {'olaf', 'olof', 'oluf', 'olif', 'oloff', 'ole',},
    28: {'inza', 'inga',},
    29: {'rudolph', 'rud', 'rudy', 'rudolf', 'rodolph',},
    30: {'gregory', 'gregg', 'greg',},
    31: {'levy', 'levi',},
    32: {'lizzy', 'lizzie', 'eliz', 'eliza', 'elizah', 'elisa', 'lizy', 'elizabeth', 'lis', 'liz', 'elisah', 'lizie',},
    33: {'call', 'cal', 'calvin', 'cally', 'callie',},
    34: {'walsh', 'walch',},
    35: {'napolian', 'nepolian', 'napolean', 'napoleon', 'nepoleon',},
    36: {'rodger', 'rager', 'roger',},
    37: {'waller', 'walt', 'walther', 'walter',},
    38: {'anthoney', 'athony', 'anthany', 'toney', 'anto', 'tonie', 'tony', 'ant', 'antoine', 'anthony', 'antny', 'toni', 'antona', 'antoney', 'antoni', 'antony', 'tone', 'antney',},
    39: {'jro', 'jerom', 'jerome', 'jarome',},
    40: {'van', 'von',},
    41: {'lincon', 'lincoln',},
    42: {'dewit', 'dewitt',},
    43: {'andie', 'androw', 'andrue', 'andw', 'adrew', 'andr', 'andew', 'andrw', 'andrew', 'andey', 'andru', 'and', 'andy',},
    44: {'tracey', 'tracy',},
    45: {'ths', 'th', 'thas', 'thomes', 'tomey', 'tommy', 'tom', 'thom', 'thonas', 'tomy', 'tho', 'thoms', 'thommas', 'thomas', 'thomis', 'thos', 'tomie', 'tomas', 'thoma', 'tommie', 'thomos', 'tommas',},
    46: {'mont', 'montgomery',},
    47: {'helena', 'ellena', 'elena', 'hellen', 'helen', 'elene', 'hellena', 'ellene',},
    48: {'olive', 'olly', 'ollie', 'olley', 'oliver', 'oly', 'olliver', 'olover', 'olie', 'olever', 'olaver',},
    49: {'rolly', 'rollie', 'rolen', 'rolland', 'rolin', 'rolley', 'roland', 'rollen',},
    50: {'danial', 'dann', 'danny', 'danie', 'dannil', 'danl', 'danniel', 'danil', 'dan', 'daiel', 'daniel', 'danuel', 'dannel', 'dannie',},
    51: {'meredith', 'merideth',},
    52: {'randolph', 'randolf',},
    53: {'oscor', 'oscer', 'oskar', 'osker', 'oscar', 'osca', 'ausker', 'ocar',},
    54: {'clarnce', 'claranc', 'clarence', 'clarince', 'clarrence', 'clarance', 'clarenc', 'clarrance',},
    55: {'wilkie', 'wilkins',},
    56: {'wese', 'weise', 'weiss', 'wiese', 'wise',},
    57: {'zoja', 'zoy', 'zoe', 'zowey', 'zoya', 'zoey', 'zowy',},
    58: {'marcus', 'marke', 'marc',},
    59: {'sammie', 'sml', 'sameul', 'samie', 'samel', 'sammuel', 'same', 'samuell', 'sanuel', 'samy', 'samuil', 'samul', 'samey', 'samuel', 'sam', 'samual', 'sammy', 'samiel', 'samule', 'saml',},
    60: {'abby', 'abigail',},
    61: {'aron', 'aaron',},
    62: {'carlisle', 'lisle', 'lyle', 'carlyle', 'lyell', 'carlile', 'leal', 'lyel',},
    63: {'jasen', 'jason',},
    64: {'donald', 'donnie', 'don',},
    65: {'ambros', 'ambrose',},
    66: {'zac', 'zach', 'zachariah', 'zack',},
    67: {'bryant', 'briant',},
    68: {'selvester', 'silvester', 'sylvester',},
    69: {'ebby', 'ebenezer',},
    70: {'winfred', 'winifred', 'winnie',},
    71: {'jeffry', 'jeffrey', 'jeffie', 'jeffery', 'jef', 'jeff',},
    72: {'authur', 'author',},
    73: {'dinnis', 'dennie', 'denny', 'dennis',},
    74: {'clide', 'clyde',},
    75: {'cassius', 'cassie', 'cas', 'cashus', 'cass',},
    76: {'able', 'abel',},
    77: {'meulen', 'malon',},
    78: {'signius', 'cignius', 'sign', 'signe', 'cygnius', 'sig',},
    79: {'arne', 'arnold', 'arno', 'arni', 'arnie',},
    80: {'marven', 'marvin',},
    81: {'hollie', 'hall',},
    82: {'lenard', 'leo', 'len', 'leanord', 'lennard', 'leny', 'leon', 'lenny', 'leonhard', 'leanard', 'lenoard', 'lenord', 'leonard', 'lennie', 'lenn',},
    83: {'evertt', 'everett', 'everitt', 'everette', 'everet', 'evret', 'evert',},
    84: {'parris', 'paris',},
    85: {'sterling', 'stirling',},
    86: {'evin', 'even', 'evan',},
    87: {'eugine', 'eugene', 'ugene', 'jene', 'eugune', 'eugen', 'eugenie', 'eujene', 'genie', 'gene', 'eug', 'eugean',},
    88: {'jessy', 'jessa', 'jesey', 'jess', 'jesee', 'jessey', 'jesse', 'jessi', 'jes', 'jese',},
    89: {'joseh', 'joesph', 'joeph', 'joseph', 'josheph', 'josph', 'jose', 'joeseph', 'jo', 'jos', 'josey', 'josiph', 'josepf', 'joe', 'josep', 'josephe', 'josie', 'jaseph',},
    90: {'curt', 'curtice', 'curtis',},
    91: {'matt', 'mat', 'mayhew', 'matthews', 'mathiew', 'mattie', 'math', 'martha', 'matilda', 'matthew', 'mathew', 'matty',},
    92: {'stanly', 'stan', 'stanley',},
    93: {'gran', 'granvill', 'granville', 'granvil',},
    94: {'iver', 'ivor',},
    95: {'persy', 'percius', 'percival', 'perseus', 'persey', 'percie',},
    96: {'prentiss', 'prentice',},
    97: {'anne', 'anna',},
    98: {'josy', 'josephine',},
    99: {'godfred', 'godfreid',},
    100: {'woodie', 'woodrow',},
    101: {'alphonso', 'alph', 'al',},
    102: {'horatio', 'horatia',},
    103: {'rexford', 'rex',},
    104: {'collins', 'collin', 'colin',},
    105: {'finus', 'phineus', 'phineas',},
    106: {'vernon', 'vern',},
    107: {'rose', 'ross',},
    108: {'calip', 'calib',},
    109: {'waid', 'wade',},
    110: {'frd', 'fritz', 'fredrich', 'freddie', 'fredd', 'frede', 'frid', 'fredc', 'frederck', 'fred', 'fredie', 'federick', 'fredr', 'fedrick', 'firts', 'fredy', 'fredreck', 'frederich', 'frederick', 'friedr', 'fried', 'friederick', 'friederich', 'frederic', 'fridrich', 'fredrik', 'fredric', 'fread', 'friderick', 'frits', 'fedric', 'fed', 'fredick', 'fridrick', 'freddy', 'fredk', 'friedrich',},
    111: {'langford', 'lang',},
    112: {'freeman', 'freman',},
    113: {'ferdinand', 'ferdinad', 'fredinand', 'ferd', 'fernand', 'ferdinan', 'ferdinant',},
    114: {'adolpus', 'adolphus',},
    115: {'joal', 'joel',},
    116: {'edwad', 'edward', 'eduward', 'edwrd', 'eddey', 'edwerd', 'ed', 'edw', 'edwart', 'eduard', 'edwards', 'edouard', 'eward', 'edword', 'edwd', 'ewd', 'edwar',},
    117: {'mina', 'mena',},
    118: {'edwan', 'edwin',},
    119: {'robbin', 'robin',},
    120: {'jeferson', 'jefferson',},
    121: {'merritt', 'merrit',},
    122: {'adolph', 'adolf', 'adoph', 'adolp',},
    123: {'rus', 'russel', 'russ', 'rusel', 'russell', 'russle',},
    124: {'reece', 'rees',},
    125: {'buch', 'buck',},
    126: {'luce', 'laci', 'lu', 'lulu', 'lucy',},
    127: {'nicholas', 'nichol', 'nicolas', 'nichlos', 'nicolaus', 'nic', 'nickolas', 'niclaus', 'nicholis', 'nicklas', 'nichlas', 'nicklos', 'nicholos', 'nickolaus', 'nicholus', 'nich', 'nick', 'nichols', 'nicholaus', 'nicolus', 'nicklaus', 'nicols', 'nicholes',},
    128: {'erick', 'eric', 'errick', 'erich',},
    129: {'alvin', 'alvan', 'elvin', 'al'},
    130: {'mack', 'mak', 'mac',},
    131: {'shadrach', 'shadrick', 'shedrick', 'shedric', 'shadrack', 'shade',},
    132: {'ivin', 'ivan',},
    133: {'symon', 'simon',},
    134: {'rickert', 'ritchard', 'reichard', 'richards', 'richard', 'richart', 'reichert',},
    135: {'vicente', 'vincent', 'vince', 'vincen',},
    136: {'kock', 'koch', 'cox',},
    137: {'nathanal', 'nate', 'nath', 'nathl', 'natt', 'nathaniel', 'nathanil', 'nathen', 'nattie', 'nat', 'nathanel', 'nathanl', 'nathanuel',},
    138: {'frankling', 'franck', 'franky', 'frankey', 'fank', 'francois', 'franklin', 'franz', 'frankin', 'frances', 'frank', 'fraklin', 'francies', 'frak', 'franklen', 'frankline', 'franlin', 'fracis', 'francis', 'fancis',},
    139: {'grayson', 'grey',},
    140: {'irvan', 'irah', 'irving',},
    141: {'jobe', 'job',},
    142: {'bastian', 'sebastian',},
    143: {'gilbert', 'gil', 'gelbert',},
    144: {'jerrie', 'gerald', 'jery', 'jary', 'jerald', 'gerry',},
    145: {'maher', 'maire',},
    146: {'lon', 'loni', 'alonso', 'lonnie',},
    147: {'ephriam', 'ephraim', 'ephrem', 'ephrum',},
    148: {'emilo', 'emile', 'emiel',},
    149: {'harison', 'harrison',},
    150: {'octavius', 'octavus',},
    151: {'columbus', 'collumbus',},
    152: {'sim', 'simeon',},
    153: {'gotlieb', 'godlieb', 'gottlob', 'gotleib', 'gottlieb', 'gotlib',},
    154: {'gabrel', 'gabriel', 'gabe', 'gabril',},
    155: {'giuliana', 'juliette', 'julious', 'juleus', 'juliet', 'julian', 'jule', 'julias', 'julio', 'juluis', 'jul', 'julie', 'july', 'yulia', 'julia', 'jules', 'julius', 'julus',},
    156: {'nathan', 'nathon',},
    157: {'niels', 'neils',},
    158: {'augus', 'augest', 'aug', 'augustine', 'guss', 'agusta', 'agustus', 'augt', 'augustas', 'gus', 'agustin', 'agustas', 'augustin', 'augst', 'augustus',},
    159: {'sylus', 'silas', 'silus',},
    160: {'flecher', 'fletcher',},
    161: {'loren', 'lorin',},
    162: {'noland', 'nolan',},
    163: {'arche', 'archd', 'arch', 'archa', 'archibald', 'archey', 'archy', 'archable',},
    164: {'archbald', 'archible',},
    165: {'amis', 'amos',},
    166: {'aggy', 'agnes',},
    167: {'garret', 'garrett', 'gerrit', 'garrit', 'garet',},
    168: {'conrod', 'conrad', 'konrad', 'coonrod', 'conard', 'coonrad',},
    169: {'leopold', 'lepold', 'leapold',},
    170: {'capel', 'capellini', 'capell', 'capela', 'cappella', 'capella', 'capelle', 'capelo', 'capelleto', 'capellan',},
    171: {'elec', 'alek', 'alexan', 'allex', 'alexander', 'alaxander', 'aleck', 'alec', 'elexander', 'alx', 'alexand', 'alac', 'alexr', 'alxander', 'alexandre', 'elaxander', 'alixander', 'alic', 'alexandr', 'alex', 'sasha', 'allick', 'alix', 'alax', 'al',},
    172: {'sid', 'sidney', 'cidney', 'sidonie', 'sidny', 'sidonia',},
    173: {'isrel', 'iseral', 'isarel', 'isreal', 'isrial', 'israel', 'isriel',},
    174: {'amanuel', 'emanuel', 'emmanuel', 'emuel', 'emanual', 'manuel', 'emanul', 'emmanual', 'manoel', 'immanuel', 'emaniel', 'emmuel', 'imanuel',},
    175: {'elbridge', 'eldridge',},
    176: {'dietz', 'deitz',},
    177: {'carrie', 'carey',},
    178: {'ellet', 'elliot', 'elliott',},
    179: {'herrmann', 'herman', 'hermon', 'hurman', 'heman', 'herm', 'herrman', 'hermann',},
    180: {'jhon', 'hans', 'johny', 'johanne', 'jon', 'johannes', 'jane', 'johnnie', 'johan', 'johney', 'jonnie', 'johne', 'johm', 'jn', 'jno', 'jonny', 'jeaine', 'jean', 'johnny', 'johnie', 'joh', 'johann', 'john', 'johnney', 'jonn', 'jahn', 'jehn',},
    181: {'llewelyln', 'luellen',},
    182: {'davey', 'daved', 'davied', 'davies', 'dav', 'davy', 'david', 'dave', 'davie',},
    183: {'wilmer', 'willmer',},
    184: {'byron', 'biron',},
    185: {'joshua', 'josiah', 'jashua', 'josh',},
    186: {'wilard', 'willard', 'williard',},
    187: {'malcomb', 'malcom', 'malcolm', 'malcum', 'mal',},
    188: {'ulissus', 'ulises', 'ulissis', 'ulyses', 'ulysus', 'ulysses', 'ulisses', 'ulysis', 'ulisus', 'ulisis', 'ulyssus',},
    189: {'mac', 'mc',},
    190: {'felix', 'felex', 'phelix',},
    191: {'cornelus', 'corneilus', 'cornelous', 'cornelius', 'cornelious',},
    192: {'walace', 'walles', 'wallace', 'wallas',},
    193: {'minny', 'wilhelmina', 'wilhemina',},
    194: {'tailor', 'taylor',},
    195: {'malvin', 'mel', 'melvin', 'melven',},
    196: {'freer', 'freier',},
    197: {'marshel', 'marshall', 'marshal',},
    198: {'lesly', 'leslie', 'les'},
    199: {'aurthur', 'aurther', 'athur', 'artie', 'art', 'arthor', 'arther', 'arthur', 'arty', 'arter',},
    200: {'alby', 'alburt', 'burt', 'albt', 'abert', 'albert', 'albrt', 'albet', 'al',},
    201: {'marton', 'martie', 'marthin', 'mart', 'marten', 'martain', 'martin', 'marty',},
    202: {'swen', 'sven',},
    203: {'benjamon', 'banjamin',},
    204: {'jacque', 'jocob', 'jacub', 'jacb', 'jacobo', 'jacop', 'jacques', 'jacob', 'jac', 'jakob', 'jack',},
    205: {'jed', 'jedediah',},
    206: {'michael', 'michle', 'mik', 'mikael', 'mickel', 'mickael', 'micha', 'machael', 'mike', 'mic', 'michal', 'mikle', 'mich', 'michale', 'micael', 'michl', 'michall', 'micle', 'michul', 'mick', 'michel',},
    207: {'ash', 'ashley',},
    208: {'duglas', 'dug', 'douglas', 'douglass', 'duglass',},
    209: {'marguerite', 'magnolia', 'madge', 'marjory', 'magdalena', 'margaret', 'maggy', 'marg',},
    210: {'roberts', 'rbt', 'robbie', 'bobby', 'robart', 'robb', 'robt', 'robert', 'robet', 'robbert', 'robie', 'rubert', 'bob', 'robrt', 'bobbie', 'roby', 'rb', 'rob',},
    211: {'stephen', 'stephin', 'steaven', 'steaphen', 'stephn', 'stephon', 'sephen', 'steve', 'stephan', 'steph', 'stevan',},
    212: {'simson', 'simpson',},
    213: {'stewart', 'steward',},
    214: {'burton', 'berton',},
    215: {'terrence', 'terrance', 'terance', 'terence', 'terry',},
    216: {'dudly', 'dudley',},
    217: {'justin', 'jus',},
    218: {'alfrid', 'alfred', 'alfard', 'alpherd', 'alf', 'afred', 'al'},
    219: {'constant', 'constantine',},
    220: {'welch', 'welsch', 'welsh',},
    221: {'cesar', 'caesar', 'ceasar', 'cezar',},
    222: {'ray', 'raymond',},
    223: {'benjamen', 'bejamin', 'benjam', 'benjemin', 'beny', 'benjmine', 'ben', 'benjmon', 'benjm', 'benjimen', 'benja', 'benie', 'benjaman', 'benjn', 'benny', 'benjiman', 'benjamin', 'benjimin', 'benno', 'benjimine', 'benj', 'benjmin', 'benjeman', 'benjamine', 'bengamin', 'benjman', 'bengman', 'benney', 'benn', 'bengamine', 'bengaman', 'bengeman', 'beng'},
    224: {'griff', 'griffin',},
    225: {'bruine', 'bruin', 'brown',},
    226: {'ryland', 'rolin',},
    227: {'emry', 'emery',},
    228: {'zeke', 'ezkiel', 'ezekiel',},
    229: {'tompson', 'thompson',},
    230: {'ira', 'irene',},
    231: {'sol', 'soloman', 'solom', 'solomon', 'salmon', 'solaman', 'solmon', 'solamon', 'salomon', 'soleman',},
    232: {'barnabas', 'barna',},
    233: {'adelbert', 'adebert', 'adalbert',},
    234: {'wyatt', 'wiatt',},
    235: {'mabel', 'mab',},
    236: {'august', 'agust',},
    237: {'edith', 'edythe',},
    238: {'melvil', 'melville',},
    239: {'augusta', 'gusta',},
    240: {'hughy', 'hugh', 'hew', 'hue', 'hough', 'hughey',},
    241: {'bery', 'berry', 'barry',},
    242: {'mosses', 'mases', 'moses',},
    243: {'callender', 'calander',},
    244: {'selden', 'sheldon',},
    245: {'saint', 'st',},
    246: {'zed', 'zedekiah',},
    247: {'alfa', 'alpha', 'al'},
    248: {'lu', 'lucius',},
    249: {'semore', 'seymore', 'seymour',},
    250: {'pater', 'pete', 'peter', 'piere', 'pyotr', 'petter', 'pierre', 'peeter', 'peater', 'pier',},
    251: {'sullivan', 'sulivan',},
    252: {'elias', 'eliass', 'eliss', 'ellis', 'elis', 'elliass', 'ellias', 'elliss',},
    253: {'ruff', 'ruphus', 'rufus',},
    254: {'thadus', 'thadeous', 'thadius', 'thad', 'thaddeus', 'thadeus',},
    255: {'elonzo', 'olonzo', 'alonzo',},
    256: {'washington', 'wash',},
    257: {'willis', 'wm', 'willes', 'william', 'willam', 'wily', 'wil', 'willaim', 'willem', 'willi', 'wiliam', 'willlam', 'willium', 'wilh', 'wilhelm', 'wille', 'wilie', 'billy', 'willian', 'willilam', 'billey', 'willice', 'willie', 'will', 'wilm', 'willa', 'bill', 'willy', 'wlm', 'billie', 'willm', 'willia', 'willim', 'wilham',},
    258: {'hamton', 'hamp', 'hampton',},
    259: {'chester', 'ches', 'chess',},
    260: {'lk', 'luke',},
    261: {'jonah', 'jona',},
    262: {'jeremonah', 'jere', 'jeramiah', 'jeremiah', 'jerrymiah', 'jerimiah', 'jerimah',},
    263: {'ammi', 'amy', 'ami', 'amie',},
    264: {'harvey', 'harve', 'harva', 'haver', 'harvy',},
    265: {'rafel', 'raphel', 'raphael', 'rafael',},
    266: {'gertrude', 'trudy', 'gerty',},
    267: {'pery', 'perrie', 'perry', 'parry',},
    268: {'brad', 'bradley',},
    269: {'floid', 'floyd',},
    270: {'freida', 'freda',},
    271: {'claire', 'clarice', 'clairice', 'clara',},
    272: {'edmon', 'edmond',},
    273: {'siras', 'syrus', 'cyrus',},
    274: {'kraushaar', 'kruscher', 'kreischer', 'creaser',},
    275: {'otey', 'otto', 'otie', 'ott',},
    276: {'lem', 'lemuel',},
    277: {'hutson', 'hudson',},
    278: {'horis', 'horrice', 'horris', 'horas', 'horace', 'harace', 'horrace',},
    279: {'ryley', 'riley', 'rily',},
    280: {'allison', 'alison', 'al',},
    281: {'maurice', 'moris', 'morris', 'morrice',},
    282: {'jourdan', 'jourden', 'jordan',},
    283: {'ted', 'theodoro', 'theodre', 'the', 'theodore', 'theordore', 'teodoro', 'theo', 'theod', 'thedore', 'theadore', 'theodor', 'teddy', 'thodore', 'theador',},
    284: {'harriett', 'hatty', 'harriet',},
    285: {'sirus', 'cirus',},
    286: {'warran', 'warrin', 'warren', 'waren', 'worren',},
    287: {'clement', 'clem',},
    288: {'claton', 'clayton',},
    289: {'heinricks', 'heinrichs',},
    290: {'archiblald', 'archebald',},
    291: {'parker', 'park',},
    292: {'monroe', 'monrow', 'munro', 'munroe', 'munrow',},
    293: {'micajah', 'micaiah',},
    294: {'allin', 'allan', 'alin', 'alen', 'allen', 'al',},
    295: {'creag', 'crag', 'cragg', 'craig',},
    296: {'newton', 'nuton',},
    297: {'erwin', 'irwind', 'irwin',},
    298: {'caspar', 'casper',},
    299: {'benedick', 'benedict',},
    300: {'georg', 'geoge', 'georga', 'geor', 'geo', 'gerge', 'gorge', 'geroge', 'georgie', 'jeorge', 'geore', 'goerge', 'george', 'georges',},
    301: {'cameron', 'cam',},
    302: {'belle', 'isa', 'isabele', 'bel', 'isabelle', 'bell', 'isabela', 'isb', 'isabella', 'isobel',},
    303: {'alvah', 'alva', 'al',},
    304: {'stevens', 'stephens',},
    305: {'melia', 'em', 'emmelia', 'emme', 'emmy', 'mil', 'emily', 'mille', 'emma', 'millie', 'emalia', 'mily', 'milly', 'emilee', 'emi', 'emilija', 'emilia', 'mill',},
    306: {'luther', 'luthur',},
    307: {'dill', 'diel',},
    308: {'pasqual', 'pascal',},
    309: {'quince', 'quin', 'quincy',},
    310: {'ernst', 'ernest', 'ernist', 'arnt', 'ernie', 'earnist',},
    311: {'harbert', 'herburt', 'hurbert', 'herbert', 'hurburt', 'herbie', 'hebert',},
    312: {'joachim', 'joaquin',},
    313: {'obie', 'obed', 'obadiah', 'obe',},
    314: {'henry', 'heinrich', 'henri', 'enrico', 'enrique', 'henrique', 'heinrick',},
    315: {'irl', 'erl', 'earle', 'earl', 'erle',},
    316: {'lanario', 'lanaro', 'lane', 'lana', 'lanni', 'lano', 'lanata', 'lani', 'lancca',},
    317: {'valentin', 'val', 'volentine', 'valantine', 'valentine',},
    318: {'ancel', 'ancil', 'ansel',},
    319: {'paulina', 'polona', 'pauline', 'molly', 'polina', 'paula', 'polly',},
    320: {'winfield', 'windfield',},
    321: {'nowa', 'noah', 'nowah', 'noe', 'noa',},
    322: {'randall', 'randle', 'randol', 'randal',},
    323: {'coolidge', 'callidge',},
    324: {'claborn', 'clabe', 'claiborne',},
    325: {'pleasant', 'plesant',},
    326: {'derk', 'derick', 'derek',},
    327: {'weslie', 'wesley', 'wisley', 'wes', 'wess', 'westly', 'wesly',},
    328: {'michalsen', 'michaelson',},
    329: {'micheal', 'michell',},
    330: {'lorance', 'lawerence', 'lawrence', 'lorence', 'laurance', 'larry', 'law', 'larance', 'larence', 'laurence', 'laurens', 'lary',},
    331: {'len', 'lena', 'elinore', 'ellenor', 'elinor', 'nel', 'eleanor', 'ellen', 'nora', 'eleanora', 'lenora', 'eleanore', 'nell',},
    332: {'cristian', 'christian', 'christn', 'christen', 'christean', 'christain', 'christon',},
    333: {'elijah', 'eliah', 'ely', 'eligia', 'elie', 'eliga', 'eligah', 'eligha',},
    334: {'zeb', 'zebadiah',},
    335: {'neal', 'neill', 'neel', 'neil',},
    336: {'portus', 'porto', 'port', 'porter',},
    337: {'huston', 'houston',},
    338: {'dick', 'richd', 'richard', 'richerd', 'richart', 'rick', 'ritchard', 'ricd', 'dickey', 'richie', 'rich',},
    339: {'cloudy', 'claudy', 'cloud', 'claude', 'claud', 'clauda', 'claudie',},
    340: {'saul', 'sol',},
    341: {'alphonzo', 'alphons', 'alfonso', 'al',},
    342: {'gideon', 'gid',},
    343: {'mason', 'masson',},
    344: {'melton', 'milton', 'milt',},
    345: {'pearl', 'perl', 'purley', 'perley',},
    346: {'romsay', 'ramsey',},
    347: {'ch', 'charles', 'chat', 'chuck', 'chares', 'carles', 'charls', 'chs', 'chals', 'charl', 'chales', 'chls', 'charlis', 'charle', 'charlie', 'chalie', 'charels', 'charley', 'chas', 'char', 'cha', 'charly', 'chrles', 'chars', 'chr',},
    348: {'mitchel', 'mitch', 'mit', 'mitchell',},
    349: {'aden', 'aidan',},
    350: {'abraham', 'abreham', 'abram', 'abr', 'abe', 'ab', 'abrahm', 'aberham', 'abrham', 'abm', 'abra', 'abrah', 'abrm',},
    351: {'lewie', 'lew', 'luis', 'louise', 'louis', 'louie', 'lue', 'leuis', 'louey', 'lewey', 'luie', 'lewis', 'lewes', 'luey', 'loue', 'loui', 'lewy', 'lou', 'lois', 'louisa',},
    352: {'lindsey', 'lindsay', 'linzy', 'lindsy', 'linsy',},
    353: {'enick', 'enock', 'enoch',},
    354: {'carle', 'karl', 'carl', 'carlton', 'carlo', 'kall', 'karlton', 'corl', 'kerl',},
    355: {'layton', 'laton',},
    356: {'christin', 'xper', 'christof', 'chris', 'christoph', 'crist', 'xr', 'chriss', 'christy', 'cristopher', 'christofer', 'christopher', 'christoper', 'christie', 'christifer', 'cris', 'christ', 'criss', 'christoffer', 'chistopher',},
    357: {'virgie', 'virgal', 'virgy', 'virgil',},
    358: {'kerby', 'kirby',},
    359: {'deatrick', 'dietrich',},
    360: {'juddy', 'judy',},
    361: {'issac', 'isach', 'isacc', 'issaac', 'iaac', 'ike', 'isack', 'isaac', 'isaic', 'isak', 'isic', 'isac', 'isick', 'izaak',},
    362: {'alise', 'alie', 'alice', 'alicia', 'aly', 'allie', 'allice', 'elishia', 'al',},
    363: {'haas', 'hass',},
    364: {'emmer', 'emerson',},
    365: {'holly', 'holy',},
    366: {'knut', 'nute',},
    367: {'egard', 'edger', 'edgar', 'egar',},
    368: {'austen', 'auston', 'austin',},
    369: {'loid', 'loyed', 'llyod', 'lloyd', 'loyd',},
    370: {'hezekiah', 'hez', 'hesekiah',},
    371: {'orvel', 'orvil', 'orville', 'orvill', 'orval',},
    372: {'ries', 'reis',},
    373: {'berty', 'bert',},
    374: {'ridener', 'rieder', 'ryder', 'ridenner', 'rider', 'ridenour', 'reider',},
    375: {'ron', 'ronald',},
    376: {'erasmus', 'rasmus',},
    377: {'drue', 'drew',},
    378: {'aloysius', 'alois', 'al',},
    379: {'elwood', 'ellwood',},
    380: {'vick', 'victorin', 'victor',},
    381: {'brawn', 'brown',},
    382: {'owin', 'owen',},
    383: {'dorotha', 'dorothy', 'dorothea',},
    384: {'lancaster', 'lan',},
    385: {'miron', 'myron',},
    386: {'chauncy', 'chauncey',},
    387: {'howe', 'howard', 'how',},
    388: {'manly', 'manley',},
    389: {'wilson', 'willson',},
    390: {'edmund', 'edmand',},
    391: {'hilery', 'hilry', 'hillary',},
    392: {'dally', 'dolly',},
    393: {'clinten', 'clinton',},
    394: {'isaih', 'isiah', 'isaah', 'isaiah',},
    395: {'jhon', 'johnothan', 'johny', 'jonathon', 'jacque', 'jon', 'johnnie', 'johnathan', 'jonethan', 'johnathon', 'johney', 'johnithan', 'jonnie', 'johm', 'johne', 'jn', 'jno', 'jonny', 'johathan', 'jack', 'johnny', 'jonothan', 'jonithan', 'johnie', 'joh', 'jacques', 'jonathan', 'john', 'johnney', 'jac', 'jonn',},
    396: {'ignatius', 'ignace',},
    397: {'lafayett', 'fayett', 'lafayet', 'layfaett', 'lafaette', 'lafyett', 'lafaett', 'fayette', 'lafyette', 'lafayette',},
    398: {'murray', 'murry',},
    399: {'berny', 'barny', 'bernard', 'burnie', 'barnie', 'banner', 'barnard', 'benard',},
    400: {'bagg', 'bogue',},
    401: {'negrini', 'nieri', 'nieddu', 'nigro', 'negri', 'neroni', 'negro', 'neri',},
    402: {'herschel', 'hershel',},
    403: {'rosco', 'roscoe',},
    404: {'jimmy', 'jeames', 'jeams', 'jimmey', 'jamis', 'jemes', 'jemmie', 'ja', 'jas', 'jame', 'janes', 'gim', 'jimmie', 'jimy', 'jamy', 'jamie', 'jimie', 'jimey', 'jimmae', 'james', 'jam', 'jams', 'jim', 'jm',},
    405: {'miriam', 'ma', 'maria', 'molly', 'mary', 'marin',},
    406: {'wencil', 'wenzel',},
    407: {'pat', 'patrik', 'pattrick', 'patrich', 'patrick', 'patt', 'patrk', 'paterick', 'patr', 'patk', 'patric',},
    408: {'rhuben', 'ruban', 'rubin', 'ruben', 'reuben', 'rheuben', 'rheubin', 'rueben', 'reubin',},
    409: {'mgy', 'margery',},
    410: {'bevely', 'beverly', 'beverley',},
    411: {'addison', 'adison',},
    412: {'sal', 'sarah', 'sara', 'sally',},
    413: {'les', 'lester',},
}