"""Adding a new name is easy. Add the name to nicknameToId, then add the id number of the set.
Make sure to add the nickname to the set in idToNicknameSet. If you need to add a new set, just
create a new one at the bottom of the dict in idToNicknameSet, and follow the previous steps."""

# Keep this dict organized in abc order for simplicity's sake.
data = {
    'aaron': {61,},
    'ab': {350,},
    'abby': {60,},
    'abe': {350,},
    'abel': {76,},
    'aberham': {350,},
    'abert': {200,},
    'abigail': {60,},
    'able': {76,},
    'abm': {350,},
    'abr': {350,},
    'abra': {350,},
    'abrah': {350,},
    'abraham': {350,},
    'abrahm': {350,},
    'abram': {350,},
    'abreham': {350,},
    'abrham': {350,},
    'abrm': {350,},
    'adalbert': {233,},
    'addison': {411,},
    'adebert': {233,},
    'adelbert': {233,},
    'aden': {349,},
    'adison': {411,},
    'adolf': {122,},
    'adolp': {122,},
    'adolph': {122,},
    'adolphus': {114,},
    'adolpus': {114,},
    'adoph': {122,},
    'adrain': {10,},
    'adrew': {43,},
    'adrian': {10,},
    'afred': {218,},
    'aggy': {166,},
    'agnes': {166,},
    'agust': {236,},
    'agusta': {158,},
    'agustas': {158,},
    'agustin': {158,},
    'agustus': {158,},
    'aidan': {349,},
    'al': {171, 200, 378, 101, 129, 218, 247, 280, 294, 303, 341, 362},
    'alac': {171,},
    'alax': {171,},
    'alaxander': {171,},
    'albert': {200,},
    'albet': {200,},
    'albrt': {200,},
    'albt': {200,},
    'alburt': {200,},
    'alby': {200,},
    'alec': {171,},
    'aleck': {171,},
    'alek': {171,},
    'alen': {294,},
    'alex': {171,},
    'alexan': {171,},
    'alexand': {171,},
    'alexander': {171,},
    'alexandr': {171,},
    'alexandre': {171,},
    'alexr': {171,},
    'alf': {218,},
    'alfa': {247,},
    'alfard': {218,},
    'alfonso': {341,},
    'alfred': {218,},
    'alfrid': {218,},
    'alic': {171,},
    'alice': {362,},
    'alicia': {362,},
    'alie': {362,},
    'alin': {294,},
    'alise': {362,},
    'alison': {280,},
    'alix': {171,},
    'alixander': {171,},
    'allan': {294,},
    'allen': {294,},
    'allex': {171,},
    'allice': {362,},
    'allick': {171,},
    'allie': {362,},
    'allin': {294,},
    'allison': {280,},
    'alois': {378,},
    'alonso': {146,},
    'alonzo': {255,},
    'aloysius': {378,},
    'alph': {101,},
    'alpha': {247,},
    'alpherd': {218,},
    'alphons': {341,},
    'alphonso': {101,},
    'alphonzo': {341,},
    'alva': {303,},
    'alvah': {303,},
    'alvan': {129,},
    'alvin': {129,},
    'alx': {171,},
    'alxander': {171,},
    'aly': {362,},
    'amanuel': {174,},
    'ambros': {65,},
    'ambrose': {65,},
    'ami': {263,},
    'amie': {263,},
    'amis': {165,},
    'ammi': {263,},
    'amos': {165,},
    'amy': {263,},
    'ancel': {318,},
    'ancil': {318,},
    'and': {43,},
    'andew': {43,},
    'andey': {43,},
    'andie': {43,},
    'andr': {43,},
    'andrew': {43,},
    'androw': {43,},
    'andru': {43,},
    'andrue': {43,},
    'andrw': {43,},
    'andw': {43,},
    'andy': {43,},
    'anna': {97,},
    'anne': {97,},
    'ansel': {318,},
    'ant': {38,},
    'anthany': {38,},
    'anthoney': {38,},
    'anthony': {38,},
    'antney': {38,},
    'antny': {38,},
    'anto': {38,},
    'antoine': {38,},
    'antona': {38,},
    'antoney': {38,},
    'antoni': {38,},
    'antony': {38,},
    'arch': {163,},
    'archa': {163,},
    'archable': {163,},
    'archbald': {164,},
    'archd': {163,},
    'arche': {163,},
    'archebald': {290,},
    'archey': {163,},
    'archibald': {163,},
    'archiblald': {290,},
    'archible': {164,},
    'archy': {163,},
    'arne': {79,},
    'arni': {79,},
    'arnie': {79,},
    'arno': {79,},
    'arnold': {79,},
    'arnt': {310,},
    'aron': {61,},
    'art': {199,},
    'arter': {199,},
    'arther': {199,},
    'arthor': {199,},
    'arthur': {199,},
    'artie': {199,},
    'arty': {199,},
    'ash': {207,},
    'ashley': {207,},
    'athony': {38,},
    'athur': {199,},
    'aug': {158,},
    'augest': {158,},
    'augst': {158,},
    'augt': {158,},
    'augus': {158,},
    'august': {236,},
    'augusta': {239,},
    'augustas': {158,},
    'augustin': {158,},
    'augustine': {158,},
    'augustus': {158,},
    'aurther': {199,},
    'aurthur': {199,},
    'ausker': {53,},
    'austen': {368,},
    'austin': {368,},
    'auston': {368,},
    'author': {72,},
    'authur': {72,},
    'bagg': {400,},
    'bailey': {12,},
    'baily': {12,},
    'baley': {12,},
    'banjamin': {203,},
    'banner': {399,},
    'barna': {232,},
    'barnabas': {232,},
    'barnard': {399,},
    'barnie': {399,},
    'barny': {399,},
    'barry': {241,},
    'bart': {6,},
    'barth': {6,},
    'bartholomew': {6,},
    'bartie': {6,},
    'barto': {6,},
    'bastian': {142,},
    'bejamin': {223,},
    'bel': {302,},
    'bell': {302,},
    'belle': {302,},
    'ben': {223,},
    'benard': {399,},
    'benedick': {299,},
    'benedict': {299,},
    'beng': {223,},
    'bengaman': {223,},
    'bengamin': {223,},
    'bengamine': {223,},
    'bengeman': {223,},
    'bengman': {223,},
    'benhart': {9,},
    'benie': {223,},
    'benj': {223,},
    'benja': {223,},
    'benjam': {223,},
    'benjaman': {223,},
    'benjamen': {223,},
    'benjamin': {223,},
    'benjamine': {223,},
    'benjamon': {203,},
    'benjeman': {223,},
    'benjemin': {223,},
    'benjiman': {223,},
    'benjimen': {223,},
    'benjimin': {223,},
    'benjimine': {223,},
    'benjm': {223,},
    'benjman': {223,},
    'benjmin': {223,},
    'benjmine': {223,},
    'benjmon': {223,},
    'benjn': {223,},
    'benn': {223,},
    'benney': {223,},
    'benno': {223,},
    'benny': {223,},
    'beny': {223,},
    'bernard': {399,},
    'bernhard': {9,},
    'berny': {399,},
    'berry': {241,},
    'bert': {373,},
    'berton': {214,},
    'berty': {373,},
    'bery': {241,},
    'bevely': {410,},
    'beverley': {410,},
    'beverly': {410,},
    'bill': {257,},
    'billey': {257,},
    'billie': {257,},
    'billy': {257,},
    'biron': {184,},
    'bob': {210,},
    'bobbie': {210,},
    'bobby': {210,},
    'bogue': {400,},
    'brad': {268,},
    'bradley': {268,},
    'brawn': {381,},
    'briant': {67,},
    'brown': {225, 381,},
    'bruin': {225,},
    'bruine': {225,},
    'bryant': {67,},
    'buch': {125,},
    'buck': {125,},
    'burnie': {399,},
    'burt': {200,},
    'burton': {214,},
    'byron': {184,},
    'caesar': {221,},
    'cal': {33,},
    'calander': {243,},
    'calib': {108,},
    'calip': {108,},
    'call': {33,},
    'callender': {243,},
    'callidge': {323,},
    'callie': {33,},
    'cally': {33,},
    'calvin': {33,},
    'cam': {301,},
    'cameron': {301,},
    'capel': {170,},
    'capela': {170,},
    'capell': {170,},
    'capella': {170,},
    'capellan': {170,},
    'capelle': {170,},
    'capelleto': {170,},
    'capellini': {170,},
    'capelo': {170,},
    'cappella': {170,},
    'carey': {177,},
    'carl': {354,},
    'carle': {354,},
    'carles': {347,},
    'carlile': {62,},
    'carlisle': {62,},
    'carlo': {354,},
    'carlton': {354,},
    'carlyle': {62,},
    'carrie': {177,},
    'cas': {75,},
    'cashus': {75,},
    'caspar': {298,},
    'casper': {298,},
    'cass': {75,},
    'cassie': {75,},
    'cassius': {75,},
    'cath': {22,},
    'catherine': {22,},
    'ceasar': {221,},
    'cesar': {221,},
    'cezar': {221,},
    'ch': {347,},
    'cha': {347,},
    'chales': {347,},
    'chalie': {347,},
    'chals': {347,},
    'char': {347,},
    'charels': {347,},
    'chares': {347,},
    'charl': {347,},
    'charle': {347,},
    'charles': {347,},
    'charley': {347,},
    'charlie': {347,},
    'charlis': {347,},
    'charls': {347,},
    'charly': {347,},
    'chars': {347,},
    'chas': {347,},
    'chat': {347,},
    'chauncey': {386,},
    'chauncy': {386,},
    'ches': {259,},
    'chess': {259,},
    'chester': {259,},
    'chistopher': {356,},
    'chls': {347,},
    'chr': {347,},
    'chris': {356,},
    'chriss': {356,},
    'christ': {356,},
    'christain': {332,},
    'christean': {332,},
    'christen': {332,},
    'christian': {332,},
    'christie': {356,},
    'christifer': {356,},
    'christin': {356,},
    'christn': {332,},
    'christof': {356,},
    'christofer': {356,},
    'christoffer': {356,},
    'christon': {332,},
    'christoper': {356,},
    'christoph': {356,},
    'christopher': {356,},
    'christy': {356,},
    'chrles': {347,},
    'chs': {347,},
    'chuck': {347,},
    'cidney': {172,},
    'cignius': {78,},
    'cirus': {285,},
    'clabe': {324,},
    'claborn': {324,},
    'claiborne': {324,},
    'claire': {271,},
    'clairice': {271,},
    'clara': {271,},
    'claranc': {54,},
    'clarance': {54,},
    'clarenc': {54,},
    'clarence': {54,},
    'clarice': {271,},
    'clarince': {54,},
    'clarnce': {54,},
    'clarrance': {54,},
    'clarrence': {54,},
    'claton': {288,},
    'claud': {339,},
    'clauda': {339,},
    'claude': {339,},
    'claudie': {339,},
    'claudy': {339,},
    'clayton': {288,},
    'clem': {287,},
    'clement': {287,},
    'clide': {74,},
    'clinten': {393,},
    'clinton': {393,},
    'cloud': {339,},
    'cloudy': {339,},
    'clyde': {74,},
    'colin': {104,},
    'collin': {104,},
    'collins': {104,},
    'collumbus': {151,},
    'columbus': {151,},
    'conard': {168,},
    'conrad': {168,},
    'conrod': {168,},
    'constant': {219,},
    'constantine': {219,},
    'coolidge': {323,},
    'coonrad': {168,},
    'coonrod': {168,},
    'corl': {354,},
    'corneilus': {191,},
    'cornelious': {191,},
    'cornelius': {191,},
    'cornelous': {191,},
    'cornelus': {191,},
    'cox': {136,},
    'crag': {295,},
    'cragg': {295,},
    'craig': {295,},
    'craton': {4,},
    'creag': {295,},
    'creaser': {274,},
    'creighton': {4,},
    'cris': {356,},
    'criss': {356,},
    'crist': {356,},
    'cristian': {332,},
    'cristopher': {356,},
    'crit': {21,},
    'crittenden': {21,},
    'curt': {90,},
    'curtice': {90,},
    'curtis': {90,},
    'cygnius': {78,},
    'cyrus': {273,},
    'daiel': {50,},
    'dalas': {25,},
    'dallas': {25,},
    'dally': {392,},
    'dan': {50,},
    'danial': {50,},
    'danie': {50,},
    'daniel': {50,},
    'danil': {50,},
    'danl': {50,},
    'dann': {50,},
    'dannel': {50,},
    'dannie': {50,},
    'danniel': {50,},
    'dannil': {50,},
    'danny': {50,},
    'danuel': {50,},
    'dav': {182,},
    'dave': {182,},
    'daved': {182,},
    'davey': {182,},
    'david': {182,},
    'davie': {182,},
    'davied': {182,},
    'davies': {182,},
    'davy': {182,},
    'deatrick': {359,},
    'deitz': {176,},
    'dennie': {73,},
    'dennis': {73,},
    'denny': {73,},
    'derek': {326,},
    'derick': {326,},
    'derk': {326,},
    'dewit': {42,},
    'dewitt': {42,},
    'dick': {338,},
    'dickey': {338,},
    'diel': {307,},
    'dietrich': {359,},
    'dietz': {176,},
    'dill': {307,},
    'dinnis': {73,},
    'dolly': {392,},
    'dom': {7,},
    'domenick': {7,},
    'dominic': {7,},
    'dominick': {7,},
    'domnick': {7,},
    'don': {64,},
    'donald': {64,},
    'donnie': {64,},
    'dorotha': {383,},
    'dorothea': {383,},
    'dorothy': {383,},
    'douglas': {208,},
    'douglass': {208,},
    'drew': {377,},
    'drue': {377,},
    'dudley': {216,},
    'dudly': {216,},
    'dug': {208,},
    'duglas': {208,},
    'duglass': {208,},
    'earl': {315,},
    'earle': {315,},
    'earnist': {310,},
    'ebby': {69,},
    'ebenezer': {69,},
    'ed': {116,},
    'eddey': {116,},
    'edgar': {367,},
    'edger': {367,},
    'edith': {237,},
    'edmand': {390,},
    'edmon': {272,},
    'edmond': {272,},
    'edmund': {390,},
    'edouard': {116,},
    'eduard': {116,},
    'eduward': {116,},
    'edw': {116,},
    'edwad': {116,},
    'edwan': {118,},
    'edwar': {116,},
    'edward': {116,},
    'edwards': {116,},
    'edwart': {116,},
    'edwd': {116,},
    'edwerd': {116,},
    'edwin': {118,},
    'edword': {116,},
    'edwrd': {116,},
    'edythe': {237,},
    'egar': {367,},
    'egard': {367,},
    'elaxander': {171,},
    'elbridge': {175,},
    'eldridge': {175,},
    'eleanor': {331,},
    'eleanora': {331,},
    'eleanore': {331,},
    'elec': {171,},
    'elena': {47,},
    'elene': {47,},
    'elexander': {171,},
    'eliah': {333,},
    'elias': {252,},
    'eliass': {252,},
    'elie': {333,},
    'eliga': {333,},
    'eligah': {333,},
    'eligha': {333,},
    'eligia': {333,},
    'elijah': {333,},
    'elinor': {331,},
    'elinore': {331,},
    'elis': {252,},
    'elisa': {32,},
    'elisah': {32,},
    'elishia': {362,},
    'eliss': {252,},
    'eliz': {32,},
    'eliza': {32,},
    'elizabeth': {32,},
    'elizah': {32,},
    'ellen': {331,},
    'ellena': {47,},
    'ellene': {47,},
    'ellenor': {331,},
    'ellet': {178,},
    'ellias': {252,},
    'elliass': {252,},
    'elliot': {178,},
    'elliott': {178,},
    'ellis': {252,},
    'elliss': {252,},
    'ellwood': {379,},
    'elmer': {13,},
    'elmor': {13,},
    'elonzo': {255,},
    'elvin': {129,},
    'elwood': {379,},
    'ely': {333,},
    'em': {305,},
    'emalia': {305,},
    'emaniel': {174,},
    'emanual': {174,},
    'emanuel': {174,},
    'emanul': {174,},
    'emerson': {364,},
    'emery': {227,},
    'emet': {3,},
    'emi': {305,},
    'emiel': {148,},
    'emile': {148,},
    'emilee': {305,},
    'emilia': {305,},
    'emilija': {305,},
    'emilo': {148,},
    'emily': {305,},
    'emma': {305,},
    'emmanual': {174,},
    'emmanuel': {174,},
    'emme': {305,},
    'emmelia': {305,},
    'emmer': {364,},
    'emmet': {3,},
    'emmett': {3,},
    'emmit': {3,},
    'emmuel': {174,},
    'emmy': {305,},
    'emry': {227,},
    'emuel': {174,},
    'enick': {353,},
    'enoch': {353,},
    'enock': {353,},
    'enrico': {314,},
    'enrique': {314,},
    'ephraim': {147,},
    'ephrem': {147,},
    'ephriam': {147,},
    'ephrum': {147,},
    'erasmus': {376,},
    'eric': {128,},
    'erich': {128,},
    'erick': {128,},
    'erl': {315,},
    'erle': {315,},
    'ernest': {310,},
    'ernie': {310,},
    'ernist': {310,},
    'ernst': {310,},
    'errick': {128,},
    'erwin': {297,},
    'eug': {87,},
    'eugean': {87,},
    'eugen': {87,},
    'eugene': {87,},
    'eugenie': {87,},
    'eugine': {87,},
    'eugune': {87,},
    'eujene': {87,},
    'evan': {86,},
    'even': {86,},
    'everet': {83,},
    'everett': {83,},
    'everette': {83,},
    'everitt': {83,},
    'evert': {83,},
    'evertt': {83,},
    'evin': {86,},
    'evret': {83,},
    'eward': {116,},
    'ewd': {116,},
    'ezekiel': {228,},
    'ezkiel': {228,},
    'fancis': {138,},
    'fank': {138,},
    'fayett': {397,},
    'fayette': {397,},
    'fed': {110,},
    'federick': {110,},
    'fedric': {110,},
    'fedrick': {110,},
    'felex': {190,},
    'felix': {190,},
    'ferd': {113,},
    'ferdinad': {113,},
    'ferdinan': {113,},
    'ferdinand': {113,},
    'ferdinant': {113,},
    'fernand': {113,},
    'fill': {2,},
    'finus': {105,},
    'firts': {110,},
    'flecher': {160,},
    'fletcher': {160,},
    'floid': {269,},
    'floyd': {269,},
    'fracis': {138,},
    'frak': {138,},
    'fraklin': {138,},
    'frances': {138,},
    'francies': {138,},
    'francis': {138,},
    'franck': {138,},
    'francois': {138,},
    'frank': {138,},
    'frankey': {138,},
    'frankin': {138,},
    'franklen': {138,},
    'franklin': {138,},
    'frankline': {138,},
    'frankling': {138,},
    'franky': {138,},
    'franlin': {138,},
    'franz': {138,},
    'frd': {110,},
    'fread': {110,},
    'fred': {110,},
    'freda': {270,},
    'fredc': {110,},
    'fredd': {110,},
    'freddie': {110,},
    'freddy': {110,},
    'frede': {110,},
    'frederck': {110,},
    'frederic': {110,},
    'frederich': {110,},
    'frederick': {110,},
    'fredick': {110,},
    'fredie': {110,},
    'fredinand': {113,},
    'fredk': {110,},
    'fredr': {110,},
    'fredreck': {110,},
    'fredric': {110,},
    'fredrich': {110,},
    'fredrik': {110,},
    'fredy': {110,},
    'freeman': {112,},
    'freer': {196,},
    'freida': {270,},
    'freier': {196,},
    'freman': {112,},
    'frid': {110,},
    'friderick': {110,},
    'fridrich': {110,},
    'fridrick': {110,},
    'fried': {110,},
    'friederich': {110,},
    'friederick': {110,},
    'friedr': {110,},
    'friedrich': {110,},
    'frits': {110,},
    'fritz': {110,},
    'gabe': {154,},
    'gabrel': {154,},
    'gabriel': {154,},
    'gabril': {154,},
    'garet': {167,},
    'garret': {167,},
    'garrett': {167,},
    'garrit': {167,},
    'gelbert': {143,},
    'gene': {87,},
    'genie': {87,},
    'geo': {300,},
    'geoge': {300,},
    'geor': {300,},
    'geore': {300,},
    'georg': {300,},
    'georga': {300,},
    'george': {300,},
    'georges': {300,},
    'georgie': {300,},
    'gerald': {144,},
    'gerge': {300,},
    'geroge': {300,},
    'gerrit': {167,},
    'gerry': {144,},
    'gertrude': {266,},
    'gerty': {266,},
    'gid': {342,},
    'gideon': {342,},
    'gil': {143,},
    'gilbert': {143,},
    'gim': {404,},
    'giuliana': {155,},
    'godfred': {99,},
    'godfreid': {99,},
    'godlieb': {153,},
    'goerge': {300,},
    'gorge': {300,},
    'gotleib': {153,},
    'gotlib': {153,},
    'gotlieb': {153,},
    'gottlieb': {153,},
    'gottlob': {153,},
    'gran': {93,},
    'granvil': {93,},
    'granvill': {93,},
    'granville': {93,},
    'grayson': {139,},
    'greg': {30,},
    'gregg': {30,},
    'gregory': {30,},
    'grey': {139,},
    'griff': {224,},
    'griffin': {224,},
    'gus': {158,},
    'guss': {158,},
    'gusta': {239,},
    'haas': {363,},
    'hall': {81,},
    'hamp': {258,},
    'hampton': {258,},
    'hamton': {258,},
    'hank': {20,},
    'hanry': {20,},
    'hans': {180,},
    'harace': {278,},
    'harbert': {311,},
    'harden': {18,},
    'hardin': {18,},
    'harey': {20,},
    'harison': {149,},
    'harl': {20,},
    'harold': {20,},
    'harrey': {20,},
    'harrie': {20,},
    'harriet': {284,},
    'harriett': {284,},
    'harrison': {149,},
    'harry': {20,},
    'harva': {264,},
    'harve': {264,},
    'harvey': {264,},
    'harvy': {264,},
    'hary': {20,},
    'hass': {363,},
    'hatty': {284,},
    'haver': {264,},
    'hebert': {311,},
    'heinrich': {314, 20,},
    'heinrichs': {289,},
    'heinrick': {314, 20,},
    'heinricks': {289,},
    'helen': {47,},
    'helena': {47,},
    'hellen': {47,},
    'hellena': {47,},
    'heman': {179,},
    'hen': {20,},
    'henery': {20,},
    'henrey': {20,},
    'henri': {314, 20,},
    'henrie': {20,},
    'henrique': {314,},
    'henry': {314, 20,},
    'heny': {20,},
    'herbert': {311,},
    'herbie': {311,},
    'herburt': {311,},
    'herm': {179,},
    'herman': {179,},
    'hermann': {179,},
    'hermon': {179,},
    'herny': {20,},
    'herrman': {179,},
    'herrmann': {179,},
    'herry': {20,},
    'herschel': {402,},
    'hershel': {402,},
    'hesekiah': {370,},
    'hew': {240,},
    'hez': {370,},
    'hezekiah': {370,},
    'hi': {8,},
    'hilery': {391,},
    'hillary': {391,},
    'hilry': {391,},
    'hiram': {8,},
    'hiriam': {8,},
    'hirom': {8,},
    'hirum': {8,},
    'hollie': {81,},
    'holly': {365,},
    'holy': {365,},
    'horace': {278,},
    'horas': {278,},
    'horatia': {102,},
    'horatio': {102,},
    'horis': {278,},
    'horrace': {278,},
    'horrice': {278,},
    'horris': {278,},
    'hough': {240,},
    'houston': {337,},
    'how': {387,},
    'howard': {387,},
    'howe': {387,},
    'hudson': {277,},
    'hue': {240,},
    'hugh': {240,},
    'hughey': {240,},
    'hughy': {240,},
    'hurbert': {311,},
    'hurburt': {311,},
    'hurman': {179,},
    'huston': {337,},
    'hutson': {277,},
    'hy': {8,},
    'hyram': {8,},
    'hyrum': {8,},
    'iaac': {361,},
    'ignace': {396,},
    'ignatius': {396,},
    'ike': {361,},
    'imanuel': {174,},
    'immanuel': {174,},
    'inga': {28,},
    'inza': {28,},
    'ira': {230,},
    'irah': {140,},
    'irene': {230,},
    'irl': {315,},
    'irvan': {140,},
    'irving': {140,},
    'irwin': {297,},
    'irwind': {297,},
    'isa': {302,},
    'isaac': {361,},
    'isaah': {394,},
    'isabela': {302,},
    'isabele': {302,},
    'isabella': {302,},
    'isabelle': {302,},
    'isac': {361,},
    'isacc': {361,},
    'isach': {361,},
    'isack': {361,},
    'isaiah': {394,},
    'isaic': {361,},
    'isaih': {394,},
    'isak': {361,},
    'isarel': {173,},
    'isb': {302,},
    'iseral': {173,},
    'isiah': {394,},
    'isic': {361,},
    'isick': {361,},
    'isobel': {302,},
    'israel': {173,},
    'isreal': {173,},
    'isrel': {173,},
    'isrial': {173,},
    'isriel': {173,},
    'issaac': {361,},
    'issac': {361,},
    'ivan': {132,},
    'iver': {94,},
    'ivin': {132,},
    'ivor': {94,},
    'izaak': {361,},
    'ja': {404,},
    'jac': {395, 204,},
    'jacb': {204,},
    'jack': {395, 204,},
    'jacob': {204,},
    'jacobo': {204,},
    'jacop': {204,},
    'jacque': {395, 204,},
    'jacques': {395, 204,},
    'jacub': {204,},
    'jahn': {180,},
    'jakob': {204,},
    'jam': {404,},
    'jame': {404,},
    'james': {404,},
    'jamie': {404,},
    'jamis': {404,},
    'jams': {404,},
    'jamy': {404,},
    'jane': {180,},
    'janes': {404,},
    'jarome': {39,},
    'jary': {144,},
    'jas': {404,},
    'jasen': {63,},
    'jaseph': {89,},
    'jashua': {185,},
    'jason': {63,},
    'jeaine': {180,},
    'jeames': {404,},
    'jeams': {404,},
    'jean': {180,},
    'jed': {205,},
    'jedediah': {205,},
    'jef': {71,},
    'jeferson': {120,},
    'jeff': {71,},
    'jefferson': {120,},
    'jeffery': {71,},
    'jeffie': {71,},
    'jeffrey': {71,},
    'jeffry': {71,},
    'jehn': {180,},
    'jemes': {404,},
    'jemmie': {404,},
    'jene': {87,},
    'jeorge': {300,},
    'jerald': {144,},
    'jeramiah': {262,},
    'jere': {262,},
    'jeremiah': {262,},
    'jeremonah': {262,},
    'jerimah': {262,},
    'jerimiah': {262,},
    'jerom': {39,},
    'jerome': {39,},
    'jerrie': {144,},
    'jerrymiah': {262,},
    'jery': {144,},
    'jes': {88,},
    'jese': {88,},
    'jesee': {88,},
    'jesey': {88,},
    'jess': {88,},
    'jessa': {88,},
    'jesse': {88,},
    'jessey': {88,},
    'jessi': {88,},
    'jessy': {88,},
    'jhon': {395, 180,},
    'jim': {404,},
    'jimey': {404,},
    'jimie': {404,},
    'jimmae': {404,},
    'jimmey': {404,},
    'jimmie': {404,},
    'jimmy': {404,},
    'jimy': {404,},
    'jm': {404,},
    'jn': {395, 180,},
    'jno': {395, 180,},
    'jo': {89,},
    'joachim': {312,},
    'joal': {115,},
    'joaquin': {312,},
    'job': {141,},
    'jobe': {141,},
    'jocob': {204,},
    'joe': {89,},
    'joel': {115,},
    'joeph': {89,},
    'joeseph': {89,},
    'joesph': {89,},
    'joh': {395, 180,},
    'johan': {180,},
    'johann': {180,},
    'johanne': {180,},
    'johannes': {180,},
    'johathan': {395,},
    'johm': {395, 180,},
    'john': {395, 180,},
    'johnathan': {395,},
    'johnathon': {395,},
    'johne': {395, 180,},
    'johney': {395, 180,},
    'johnie': {395, 180,},
    'johnithan': {395,},
    'johnney': {395, 180,},
    'johnnie': {395, 180,},
    'johnny': {395, 180,},
    'johnothan': {395,},
    'johny': {395, 180,},
    'jon': {395, 180,},
    'jona': {261,},
    'jonah': {261,},
    'jonathan': {395,},
    'jonathon': {395,},
    'jonethan': {395,},
    'jonithan': {395,},
    'jonn': {395, 180,},
    'jonnie': {395, 180,},
    'jonny': {395, 180,},
    'jonothan': {395,},
    'jordan': {282,},
    'jos': {89,},
    'jose': {89,},
    'joseh': {89,},
    'josep': {89,},
    'josepf': {89,},
    'joseph': {89,},
    'josephe': {89,},
    'josephine': {98,},
    'josey': {89,},
    'josh': {185,},
    'josheph': {89,},
    'joshua': {185,},
    'josiah': {185,},
    'josie': {89,},
    'josiph': {89,},
    'josph': {89,},
    'josy': {98,},
    'jourdan': {282,},
    'jourden': {282,},
    'jro': {39,},
    'juddy': {360,},
    'judy': {360,},
    'jul': {155,},
    'jule': {155,},
    'jules': {155,},
    'juleus': {155,},
    'julia': {155,},
    'julian': {155,},
    'julias': {155,},
    'julie': {155,},
    'juliet': {155,},
    'juliette': {155,},
    'julio': {155,},
    'julious': {155,},
    'julius': {155,},
    'juluis': {155,},
    'julus': {155,},
    'july': {155,},
    'jus': {217,},
    'justin': {217,},
    'kall': {354,},
    'karl': {354,},
    'karlton': {354,},
    'kate': {22,},
    'kath': {22,},
    'katharine': {22,},
    'katherine': {22,},
    'katy': {22,},
    'kenneth': {14,},
    'kenny': {14,},
    'kerby': {358,},
    'kerl': {354,},
    'kirby': {358,},
    'kit': {22,},
    'kitt': {22,},
    'knut': {366,},
    'koch': {136,},
    'kock': {136,},
    'konrad': {168,},
    'kraushaar': {274,},
    'kreischer': {274,},
    'kruscher': {274,},
    'lach': {11,},
    'laci': {126,},
    'lafaett': {397,},
    'lafaette': {397,},
    'lafayet': {397,},
    'lafayett': {397,},
    'lafayette': {397,},
    'lafyett': {397,},
    'lafyette': {397,},
    'lake': {11,},
    'lan': {384,},
    'lana': {316,},
    'lanario': {316,},
    'lanaro': {316,},
    'lanata': {316,},
    'lancaster': {384,},
    'lancca': {316,},
    'lane': {316,},
    'lang': {111,},
    'langford': {111,},
    'lani': {316,},
    'lanni': {316,},
    'lano': {316,},
    'larance': {330,},
    'larence': {330,},
    'larry': {330,},
    'lary': {330,},
    'laton': {355,},
    'laurance': {330,},
    'laurence': {330,},
    'laurens': {330,},
    'law': {330,},
    'lawerence': {330,},
    'lawrence': {330,},
    'layfaett': {397,},
    'layton': {355,},
    'leal': {62,},
    'leanard': {82,},
    'leanord': {82,},
    'leapold': {169,},
    'lem': {276,},
    'lemuel': {276,},
    'len': {82, 331,},
    'lena': {331,},
    'lenard': {82,},
    'lenn': {82,},
    'lennard': {82,},
    'lennie': {82,},
    'lenny': {82,},
    'lenoard': {82,},
    'lenora': {331,},
    'lenord': {82,},
    'leny': {82,},
    'leo': {82,},
    'leon': {82,},
    'leonard': {82,},
    'leonhard': {82,},
    'leopold': {169,},
    'lepold': {169,},
    'les': {198, 413},
    'leslie': {198,},
    'lesly': {198,},
    'leuis': {351,},
    'levi': {31,},
    'levy': {31,},
    'lew': {351,},
    'lewes': {351,},
    'lewey': {351,},
    'lewie': {351,},
    'lewis': {351,},
    'lewy': {351,},
    'lincoln': {41,},
    'lincon': {41,},
    'lindsay': {352,},
    'lindsey': {352,},
    'lindsy': {352,},
    'linsy': {352,},
    'linzy': {352,},
    'lis': {32,},
    'lisle': {62,},
    'liz': {32,},
    'lizie': {32,},
    'lizy': {32,},
    'lizzie': {32,},
    'lizzy': {32,},
    'lk': {260,},
    'llewelyln': {181,},
    'lloyd': {369,},
    'llyod': {369,},
    'loid': {369,},
    'lois': {351,},
    'lon': {146,},
    'loni': {146,},
    'lonnie': {146,},
    'lorance': {330,},
    'loren': {161,},
    'lorence': {330,},
    'lorin': {161,},
    'lou': {351,},
    'loue': {351,},
    'louey': {351,},
    'loui': {351,},
    'louie': {351,},
    'louis': {351,},
    'louisa': {351,},
    'louise': {351,},
    'loyd': {369,},
    'loyed': {369,},
    'lu': {248, 126,},
    'luce': {126,},
    'lucius': {248,},
    'lucy': {126,},
    'lud': {1,},
    'ludwig': {1,},
    'lue': {351,},
    'luellen': {181,},
    'luey': {351,},
    'luie': {351,},
    'luis': {351,},
    'luke': {260,},
    'lulu': {126,},
    'luther': {306,},
    'luthur': {306,},
    'lyel': {62,},
    'lyell': {62,},
    'lyle': {62,},
    'ma': {405,},
    'mab': {235,},
    'mabel': {235,},
    'mac': {130, 189,},
    'machael': {206,},
    'mack': {130,},
    'madge': {209,},
    'magdalena': {209,},
    'maggy': {209,},
    'magnolia': {209,},
    'maher': {145,},
    'maire': {145,},
    'mak': {130,},
    'mal': {187,},
    'malcolm': {187,},
    'malcom': {187,},
    'malcomb': {187,},
    'malcum': {187,},
    'malon': {77,},
    'malvin': {195,},
    'manley': {388,},
    'manly': {388,},
    'manoel': {174,},
    'manuel': {174,},
    'marc': {58,},
    'marcus': {58,},
    'marg': {209,},
    'margaret': {209,},
    'margery': {409,},
    'marguerite': {209,},
    'maria': {405,},
    'marin': {405,},
    'marjory': {209,},
    'marke': {58,},
    'marshal': {197,},
    'marshall': {197,},
    'marshel': {197,},
    'mart': {201,},
    'martain': {201,},
    'marten': {201,},
    'martha': {91,},
    'marthin': {201,},
    'martie': {201,},
    'martin': {201,},
    'marton': {201,},
    'marty': {201,},
    'marven': {80,},
    'marvin': {80,},
    'mary': {405,},
    'mases': {242,},
    'mason': {343,},
    'masson': {343,},
    'mat': {91,},
    'math': {91,},
    'mathew': {91,},
    'mathiew': {91,},
    'matilda': {91,},
    'matt': {91,},
    'matthew': {91,},
    'matthews': {91,},
    'mattie': {91,},
    'matty': {91,},
    'maurice': {281,},
    'max': {15,},
    'maxie': {15,},
    'maximilian': {15,},
    'mayhew': {91,},
    'mc': {189,},
    'mel': {195,},
    'melia': {305,},
    'melton': {344,},
    'melven': {195,},
    'melvil': {238,},
    'melville': {238,},
    'melvin': {195,},
    'mena': {117,},
    'meredith': {51,},
    'merideth': {51,},
    'merrit': {121,},
    'merritt': {121,},
    'meulen': {77,},
    'mgy': {409,},
    'mic': {206,},
    'micael': {206,},
    'micaiah': {293,},
    'micajah': {293,},
    'mich': {206,},
    'micha': {206,},
    'michael': {206,},
    'michaelson': {328,},
    'michal': {206,},
    'michale': {206,},
    'michall': {206,},
    'michalsen': {328,},
    'micheal': {329,},
    'michel': {206,},
    'michell': {329,},
    'michl': {206,},
    'michle': {206,},
    'michul': {206,},
    'mick': {206,},
    'mickael': {206,},
    'mickel': {206,},
    'micle': {206,},
    'mik': {206,},
    'mikael': {206,},
    'mike': {206,},
    'mikle': {206,},
    'mil': {305,},
    'mill': {305,},
    'mille': {305,},
    'millie': {305,},
    'milly': {305,},
    'milt': {344,},
    'milton': {344,},
    'mily': {305,},
    'mina': {117,},
    'minny': {193,},
    'miriam': {405,},
    'miron': {385,},
    'mit': {348,},
    'mitch': {348,},
    'mitchel': {348,},
    'mitchell': {348,},
    'molly': {405, 319,},
    'monroe': {292,},
    'monrow': {292,},
    'mont': {46,},
    'montgomery': {46,},
    'moris': {281,},
    'morrice': {281,},
    'morris': {281,},
    'mort': {16,},
    'mortimer': {16,},
    'mortimore': {16,},
    'moses': {242,},
    'mosses': {242,},
    'munro': {292,},
    'munroe': {292,},
    'munrow': {292,},
    'murray': {398,},
    'murry': {398,},
    'myron': {385,},
    'napolean': {35,},
    'napoleon': {35,},
    'napolian': {35,},
    'nat': {137,},
    'nate': {137,},
    'nath': {137,},
    'nathan': {156,},
    'nathanal': {137,},
    'nathanel': {137,},
    'nathaniel': {137,},
    'nathanil': {137,},
    'nathanl': {137,},
    'nathanuel': {137,},
    'nathen': {137,},
    'nathl': {137,},
    'nathon': {156,},
    'natt': {137,},
    'nattie': {137,},
    'neal': {335,},
    'neel': {335,},
    'negri': {401,},
    'negrini': {401,},
    'negro': {401,},
    'nehemiah': {26,},
    'neil': {335,},
    'neill': {335,},
    'neils': {157,},
    'nel': {331,},
    'nell': {331,},
    'nemiah': {26,},
    'nepoleon': {35,},
    'nepolian': {35,},
    'neri': {401,},
    'neroni': {401,},
    'newton': {296,},
    'nic': {127,},
    'nich': {127,},
    'nichlas': {127,},
    'nichlos': {127,},
    'nichol': {127,},
    'nicholas': {127,},
    'nicholaus': {127,},
    'nicholes': {127,},
    'nicholis': {127,},
    'nicholos': {127,},
    'nichols': {127,},
    'nicholus': {127,},
    'nick': {127,},
    'nicklas': {127,},
    'nicklaus': {127,},
    'nicklos': {127,},
    'nickolas': {127,},
    'nickolaus': {127,},
    'niclaus': {127,},
    'nicolas': {127,},
    'nicolaus': {127,},
    'nicols': {127,},
    'nicolus': {127,},
    'nieddu': {401,},
    'niels': {157,},
    'nieri': {401,},
    'nigro': {401,},
    'noa': {321,},
    'noah': {321,},
    'noe': {321,},
    'nolan': {162,},
    'noland': {162,},
    'nora': {331,},
    'nowa': {321,},
    'nowah': {321,},
    'nute': {366,},
    'nuton': {296,},
    'obadiah': {313,},
    'obe': {313,},
    'obed': {313,},
    'obie': {313,},
    'ocar': {53,},
    'octavius': {150,},
    'octavus': {150,},
    'olaf': {27,},
    'olaver': {48,},
    'ole': {27,},
    'olever': {48,},
    'olie': {48,},
    'olif': {27,},
    'olive': {48,},
    'oliver': {48,},
    'olley': {48,},
    'ollie': {48,},
    'olliver': {48,},
    'olly': {48,},
    'olof': {27,},
    'oloff': {27,},
    'olonzo': {255,},
    'olover': {48,},
    'oluf': {27,},
    'oly': {48,},
    'orval': {371,},
    'orvel': {371,},
    'orvil': {371,},
    'orvill': {371,},
    'orville': {371,},
    'osca': {53,},
    'oscar': {53,},
    'oscer': {53,},
    'oscor': {53,},
    'oskar': {53,},
    'osker': {53,},
    'otey': {275,},
    'otie': {275,},
    'ott': {275,},
    'otto': {275,},
    'owen': {382,},
    'owin': {382,},
    'paris': {84,},
    'park': {291,},
    'parker': {291,},
    'parris': {84,},
    'parry': {267,},
    'pascal': {308,},
    'pasqual': {308,},
    'pat': {407,},
    'pater': {250,},
    'paterick': {407,},
    'patk': {407,},
    'patr': {407,},
    'patric': {407,},
    'patrich': {407,},
    'patrick': {407,},
    'patrik': {407,},
    'patrk': {407,},
    'patt': {407,},
    'pattrick': {407,},
    'paula': {319,},
    'paulina': {319,},
    'pauline': {319,},
    'pearl': {345,},
    'peater': {250,},
    'peeter': {250,},
    'percie': {95,},
    'percius': {95,},
    'percival': {95,},
    'perl': {345,},
    'perley': {345,},
    'perrie': {267,},
    'perry': {267,},
    'perseus': {95,},
    'persey': {95,},
    'persy': {95,},
    'pery': {267,},
    'pete': {250,},
    'peter': {250,},
    'petter': {250,},
    'phelix': {190,},
    'phil': {2,},
    'philip': {2,},
    'philiph': {2,},
    'philipp': {2,},
    'philippe': {2,},
    'phill': {2,},
    'phillipp': {2,},
    'phillop': {2,},
    'philup': {2,},
    'phineas': {105,},
    'phineus': {105,},
    'pier': {250,},
    'piere': {250,},
    'pierre': {250,},
    'pleasant': {325,},
    'plesant': {325,},
    'polina': {319,},
    'polly': {319,},
    'polona': {319,},
    'port': {336,},
    'porter': {336,},
    'porto': {336,},
    'portus': {336,},
    'prentice': {96,},
    'prentiss': {96,},
    'purley': {345,},
    'pyotr': {250,},
    'quin': {309,},
    'quince': {309,},
    'quincy': {309,},
    'rafael': {265,},
    'rafel': {265,},
    'rager': {36,},
    'ralf': {23,},
    'ralph': {23,},
    'ramsey': {346,},
    'randal': {322,},
    'randall': {322,},
    'randle': {322,},
    'randol': {322,},
    'randolf': {52,},
    'randolph': {52,},
    'raphael': {265,},
    'raphel': {265,},
    'rasmus': {376,},
    'ray': {222,},
    'raymond': {222,},
    'rb': {210,},
    'rbt': {210,},
    'read': {24,},
    'reece': {124,},
    'reed': {24,},
    'rees': {124,},
    'reichard': {134,},
    'reichert': {134,},
    'reider': {374,},
    'reis': {372,},
    'reuben': {408,},
    'reubin': {408,},
    'rex': {103,},
    'rexford': {103,},
    'rheuben': {408,},
    'rheubin': {408,},
    'rhuben': {408,},
    'ricd': {338,},
    'rich': {338,},
    'richard': {338, 134,},
    'richards': {134,},
    'richart': {338, 134,},
    'richd': {338,},
    'richerd': {338,},
    'richie': {338,},
    'rick': {338,},
    'rickert': {134,},
    'ridener': {374,},
    'ridenner': {374,},
    'ridenour': {374,},
    'rider': {374,},
    'rieder': {374,},
    'ries': {372,},
    'riley': {279,},
    'rily': {279,},
    'ritchard': {338, 134,},
    'rob': {210,},
    'robart': {210,},
    'robb': {210,},
    'robbert': {210,},
    'robbie': {210,},
    'robbin': {119,},
    'robert': {210,},
    'roberts': {210,},
    'robet': {210,},
    'robie': {210,},
    'robin': {119,},
    'robrt': {210,},
    'robt': {210,},
    'roby': {210,},
    'rodger': {36,},
    'rodolph': {29,},
    'roger': {36,},
    'roland': {49,},
    'rolen': {49,},
    'rolf': {23,},
    'rolin': {49, 226,},
    'rolland': {49,},
    'rollen': {49,},
    'rolley': {49,},
    'rollie': {49,},
    'rolly': {49,},
    'rolph': {23,},
    'romsay': {346,},
    'ron': {375,},
    'ronald': {375,},
    'rosco': {403,},
    'roscoe': {403,},
    'rose': {107,},
    'ross': {107,},
    'ruban': {408,},
    'ruben': {408,},
    'rubert': {210,},
    'rubin': {408,},
    'rud': {29,},
    'rudolf': {29,},
    'rudolph': {29,},
    'rudy': {29,},
    'rueben': {408,},
    'ruff': {253,},
    'rufus': {253,},
    'ruphus': {253,},
    'rus': {123,},
    'rusel': {123,},
    'russ': {123,},
    'russel': {123,},
    'russell': {123,},
    'russle': {123,},
    'ryder': {374,},
    'ryland': {226,},
    'ryley': {279,},
    'saint': {245,},
    'sal': {412,},
    'sally': {412,},
    'salmon': {231,},
    'salomon': {231,},
    'sam': {59,},
    'same': {59,},
    'samel': {59,},
    'sameul': {59,},
    'samey': {59,},
    'samie': {59,},
    'samiel': {59,},
    'saml': {59,},
    'sammie': {59,},
    'sammuel': {59,},
    'sammy': {59,},
    'samual': {59,},
    'samuel': {59,},
    'samuell': {59,},
    'samuil': {59,},
    'samul': {59,},
    'samule': {59,},
    'samy': {59,},
    'sanuel': {59,},
    'sara': {412,},
    'sarah': {412,},
    'sasha': {171,},
    'saul': {340,},
    'sebastian': {142,},
    'selden': {244,},
    'selvester': {68,},
    'semore': {249,},
    'sephen': {211,},
    'seymore': {249,},
    'seymour': {249,},
    'shade': {131,},
    'shadrach': {131,},
    'shadrack': {131,},
    'shadrick': {131,},
    'shedric': {131,},
    'shedrick': {131,},
    'sheldon': {244,},
    'sid': {172,},
    'sidna': {17,},
    'sidney': {172,},
    'sidny': {172,},
    'sidonia': {172,},
    'sidonie': {172,},
    'sig': {78,},
    'sign': {78,},
    'signe': {78,},
    'signius': {78,},
    'silas': {159,},
    'silus': {159,},
    'silvester': {68,},
    'sim': {152,},
    'simeon': {152,},
    'simon': {133,},
    'simpson': {212,},
    'simson': {212,},
    'siras': {273,},
    'sirus': {285,},
    'sml': {59,},
    'sol': {340, 231,},
    'solaman': {231,},
    'solamon': {231,},
    'soleman': {231,},
    'solmon': {231,},
    'solom': {231,},
    'soloman': {231,},
    'solomon': {231,},
    'st': {245,},
    'stan': {92,},
    'stanley': {92,},
    'stanly': {92,},
    'steaphen': {211,},
    'steaven': {211,},
    'steph': {211,},
    'stephan': {211,},
    'stephen': {211,},
    'stephens': {304,},
    'stephin': {211,},
    'stephn': {211,},
    'stephon': {211,},
    'sterling': {85,},
    'stevan': {211,},
    'steve': {211,},
    'stevens': {304,},
    'steward': {213,},
    'stewart': {213,},
    'stirling': {85,},
    'sulivan': {251,},
    'sullivan': {251,},
    'sven': {202,},
    'swen': {202,},
    'sydna': {17,},
    'sydney': {17,},
    'sydny': {17,},
    'sylus': {159,},
    'sylvester': {68,},
    'symon': {133,},
    'syrus': {273,},
    'tailor': {194,},
    'taylor': {194,},
    'ted': {283,},
    'teddy': {283,},
    'teodoro': {283,},
    'terance': {215,},
    'terence': {215,},
    'terrance': {215,},
    'terrence': {215,},
    'terry': {215,},
    'th': {45,},
    'thad': {254,},
    'thaddeus': {254,},
    'thadeous': {254,},
    'thadeus': {254,},
    'thadius': {254,},
    'thadus': {254,},
    'thas': {45,},
    'the': {283,},
    'theador': {283,},
    'theadore': {283,},
    'thedore': {283,},
    'theo': {283,},
    'theod': {283,},
    'theodor': {283,},
    'theodore': {283,},
    'theodoro': {283,},
    'theodre': {283,},
    'theordore': {283,},
    'thimothy': {0,},
    'thimoty': {0,},
    'tho': {45,},
    'thodore': {283,},
    'thom': {45,},
    'thoma': {45,},
    'thomas': {45,},
    'thomes': {45,},
    'thomis': {45,},
    'thommas': {45,},
    'thomos': {45,},
    'thompson': {229,},
    'thoms': {45,},
    'thonas': {45,},
    'thos': {45,},
    'ths': {45,},
    'tim': {0,},
    'timathy': {0,},
    'timithy': {0,},
    'timmy': {0,},
    'timothy': {0,},
    'timy': {0,},
    'tobe': {5,},
    'tobias': {5,},
    'tobie': {5,},
    'toby': {5,},
    'tom': {45,},
    'tomas': {45,},
    'tomey': {45,},
    'tomie': {45,},
    'tommas': {45,},
    'tommie': {45,},
    'tommy': {45,},
    'tompson': {229,},
    'tomy': {45,},
    'tone': {38,},
    'toney': {38,},
    'toni': {38,},
    'tonie': {38,},
    'tony': {38,},
    'tracey': {44,},
    'tracy': {44,},
    'trudy': {266,},
    'ugene': {87,},
    'ulises': {188,},
    'ulisis': {188,},
    'ulisses': {188,},
    'ulissis': {188,},
    'ulissus': {188,},
    'ulisus': {188,},
    'ulyses': {188,},
    'ulysis': {188,},
    'ulysses': {188,},
    'ulyssus': {188,},
    'ulysus': {188,},
    'val': {317,},
    'valantine': {317,},
    'valentin': {317,},
    'valentine': {317,},
    'van': {40,},
    'vern': {106,},
    'vernon': {106,},
    'vicente': {135,},
    'vick': {380,},
    'victor': {380,},
    'victorin': {380,},
    'vince': {135,},
    'vincen': {135,},
    'vincent': {135,},
    'virgal': {357,},
    'virgie': {357,},
    'virgil': {357,},
    'virgy': {357,},
    'volentine': {317,},
    'von': {40,},
    'wade': {109,},
    'waid': {109,},
    'walace': {192,},
    'walch': {34,},
    'wallace': {192,},
    'wallas': {192,},
    'waller': {37,},
    'walles': {192,},
    'walsh': {34,},
    'walt': {37,},
    'walter': {37,},
    'walther': {37,},
    'waren': {286,},
    'warran': {286,},
    'warren': {286,},
    'warrin': {286,},
    'wash': {256,},
    'washington': {256,},
    'web': {19,},
    'webb': {19,},
    'webster': {19,},
    'weise': {56,},
    'weiss': {56,},
    'welch': {220,},
    'welsch': {220,},
    'welsh': {220,},
    'wencil': {406,},
    'wenzel': {406,},
    'wes': {327,},
    'wese': {56,},
    'wesley': {327,},
    'weslie': {327,},
    'wesly': {327,},
    'wess': {327,},
    'westly': {327,},
    'wiatt': {234,},
    'wiese': {56,},
    'wil': {257,},
    'wilard': {186,},
    'wilh': {257,},
    'wilham': {257,},
    'wilhelm': {257,},
    'wilhelmina': {193,},
    'wilhemina': {193,},
    'wiliam': {257,},
    'wilie': {257,},
    'wilkie': {55,},
    'wilkins': {55,},
    'will': {257,},
    'willa': {257,},
    'willaim': {257,},
    'willam': {257,},
    'willard': {186,},
    'wille': {257,},
    'willem': {257,},
    'willes': {257,},
    'willi': {257,},
    'willia': {257,},
    'william': {257,},
    'willian': {257,},
    'williard': {186,},
    'willice': {257,},
    'willie': {257,},
    'willilam': {257,},
    'willim': {257,},
    'willis': {257,},
    'willium': {257,},
    'willlam': {257,},
    'willm': {257,},
    'willmer': {183,},
    'willson': {389,},
    'willy': {257,},
    'wilm': {257,},
    'wilmer': {183,},
    'wilson': {389,},
    'wily': {257,},
    'windfield': {320,},
    'winfield': {320,},
    'winfred': {70,},
    'winifred': {70,},
    'winnie': {70,},
    'wise': {56,},
    'wisley': {327,},
    'wlm': {257,},
    'wm': {257,},
    'woodie': {100,},
    'woodrow': {100,},
    'worren': {286,},
    'wyatt': {234,},
    'xper': {356,},
    'xr': {356,},
    'yulia': {155,},
    'zac': {66,},
    'zach': {66,},
    'zachariah': {66,},
    'zack': {66,},
    'zeb': {334,},
    'zebadiah': {334,},
    'zed': {246,},
    'zedekiah': {246,},
    'zeke': {228,},
    'zoe': {57,},
    'zoey': {57,},
    'zoja': {57,},
    'zowey': {57,},
    'zowy': {57,},
    'zoy': {57,},
    'zoya': {57}
}